Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class UserInfo

    java.lang.Object
      com.compoze.domino.UserInfo

All Implemented Interfaces:
  java.io.Serializable

public class UserInfo
extends java.lang.Object
implements java.io.Serializable

This class stores summary information about the user associated with a session.

See Also:
  Serialized Form

Constructor Summary
`UserInfo(java.lang.String sFirstName, java.lang.String sMiddleInitial, java.lang.String sLastName, java.lang.String sShortName, java.lang.String[] fullNames, java.lang.String sMailServer, java.lang.String sMailFile, java.lang.String sMailDomain, java.lang.String sInternetAddress)` Constructor.

Method Summary
`java.lang.String` | `getDisplayName()` Gets the display name of the user.
`java.lang.String` | `getFirstName()` Gets the first name of the user.
`java.lang.String[]` | `getFullNames()` Gets the full names of the user.
`java.lang.String` | `getInternetAddress()` Gets the Internet address of the user.
`java.lang.String` | `getLastName()` Gets the last name of the user.
`java.lang.String` | `getMailDomain()` Gets the mail domain of the user.
`java.lang.String` | `getMailFile()` Gets the mail file of the user.
`java.lang.String` | `getMailServer()` Gets the mail server of the user.
`java.lang.String` | `getMiddleInitial()` Gets the middle initial of the user.
`java.lang.String` | `getShortName()` Gets the short name of the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(java.lang.String sFirstName,
                    java.lang.String sMiddleInitial,
                    java.lang.String sLastName,
                    java.lang.String sShortName,
                    java.lang.String[] fullNames,
                    java.lang.String sMailServer,
                    java.lang.String sMailFile,
                    java.lang.String sMailDomain,
                    java.lang.String sInternetAddress)

  Constructor.

Parameters:
  `sFirstName` - the user's first name
  `sMiddleInitial` - the user's middle initial
  `sLastName` - the user's last name
  `sShortName` - the user's short name
  `fullNames` - the user's full names
  `sMailServer` - the user's mail server
  `sMailFile` - the user's mail file
  `sMailDomain` - the user's mail domain
  `sInternetAddress` - the user's Internet address (i.e. email)

Method Detail

### getFullNames

    public java.lang.String[] getFullNames()

  Gets the full names of the user.

  Returns:
    an array of full names of the user

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the user. This will return a combination of the first, middle and last name, depending on what is set and available.

  Returns:
    the display name of the user

### getFirstName

    public java.lang.String getFirstName()

  Gets the first name of the user.

  Returns:
    the first name of the user

### getLastName

    public java.lang.String getLastName()

  Gets the last name of the user.

  Returns:
    the last name of the user

### getShortName

    public java.lang.String getShortName()

  Gets the short name of the user.

  Returns:
    the short name of the user

### getMiddleInitial

    public java.lang.String getMiddleInitial()

  Gets the middle initial of the user.

  Returns:
    the middle initial of the user

### getMailServer

    public java.lang.String getMailServer()

  Gets the mail server of the user.

  Returns:
    the mail server of the user

### getMailDomain

    public java.lang.String getMailDomain()

  Gets the mail domain of the user.

  Returns:
    the mail domain of the user

### getMailFile

    public java.lang.String getMailFile()

  Gets the mail file of the user.

  Returns:
    the mail file of the user

### getInternetAddress

    public java.lang.String getInternetAddress()

  Gets the Internet address of the user.

  Returns:
    the Internet address of the user

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.